org.hibernate.validator.internal.metadata.provider

## Interface MetaDataProvider

- All Known Implementing Classes:
    AnnotationMetaDataProvider, MetaDataProviderKeyedByClassName, ProgrammaticMetaDataProvider, XmlMetaDataProvider

      public interface MetaDataProvider

  A provider for constraint related meta data such as constraints, default group sequences etc.

  Implementations are based one different meta data sources such as XML, programmatic mappings and annotations. Meta data providers only return meta data directly configured for one class, they don't deal with merging meta data from super-classes or implemented interfaces.

  Author:
    Gunnar Morling, Hardy Ferentschik

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationProcessingOptions` | `getAnnotationProcessingOptions()` Returns the annotation processing options as configured by this provider.
    `<T> List<BeanConfiguration<? super T>>` | `getBeanConfigurationForHierarchy(Class<T> beanClass)` Returns a list with the configurations for all types contained in the given type's hierarchy (including implemented interfaces) starting at the specified type.

- - ### Method Detail

    - #### getAnnotationProcessingOptions

          AnnotationProcessingOptions getAnnotationProcessingOptions()

      Returns the annotation processing options as configured by this provider.
      Returns:
        The annotation processing options as configured by this provider.

    - #### getBeanConfigurationForHierarchy

          <T> List<BeanConfiguration<? super T>> getBeanConfigurationForHierarchy(Class<T> beanClass)

      Returns a list with the configurations for all types contained in the given type's hierarchy (including implemented interfaces) starting at the specified type.
      Parameters:
        `beanClass` - The type of interest.
      Returns:
        A set with the configurations for the complete hierarchy of the given type. May be empty, but never `null`.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved